com.io7m.jpra.model.types

## Class TRecords.TypeLookupSucceeded

- java.lang.Object
- - com.io7m.jpra.model.types.TRecords.TypeLookupSucceeded

- All Implemented Interfaces:
    TRecords.TypeLookupType
  Enclosing class:
    TRecords

      public static final class TRecords.TypeLookupSucceeded
      extends Object
      implements TRecords.TypeLookupType

  The type of successful lookups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeLookupSucceeded(TType in_result)` Construct a success result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A,E extends Exception> A` | `matchTypeLookup(com.io7m.jfunctional.PartialFunctionType<TRecords.TypeLookupSucceeded,A,E> success, com.io7m.jfunctional.PartialFunctionType<TRecords.TypeLookupFailed,A,E> failure)` Evaluate functions to inspect the lookup result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeLookupSucceeded

          public TypeLookupSucceeded(TType in_result)

      Construct a success result.
      Parameters:
        `in_result` - The resulting type

  - ### Method Detail

    - #### matchTypeLookup

          public <A,E extends Exception> A matchTypeLookup(com.io7m.jfunctional.PartialFunctionType<TRecords.TypeLookupSucceeded,A,E> success,
                                                           com.io7m.jfunctional.PartialFunctionType<TRecords.TypeLookupFailed,A,E> failure)
                                                    throws E extends Exception

      Description copied from interface: `TRecords.TypeLookupType`
      Evaluate functions to inspect the lookup result.
      Specified by:
        `matchTypeLookup` in interface `TRecords.TypeLookupType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `success` - Evaluated if this result denotes success
        `failure` - Evaluated if this result denotes failure
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

Copyright © 2016 <code@io7m.com> http://io7m.com